<div class="modal-body" *ngIf="getObject()">
  <h4 *ngIf="!heading">"{{name}}" löschen?</h4>
  <h4 *ngIf="heading">{{heading}}</h4>
  <p *ngIf="!confirmationInfo">Bist du sicher, dass du "{{name}}" löschen möchtest?</p>
  <p *ngIf="confirmationInfo">{{confirmationInfo}}</p>
  <p *ngIf="info">{{ info }}</p>
  <p class="small text-danger">Beim Löschen gehen alle Daten unwiderruflich verloren! Die Aktion kann nicht rückgängig gemacht werden!</p>
  <label for="confirmInput">Zur Bestätigung den Namen <code>{{name}}</code> eingeben</label>
  <input class="form-control" type="text"
      [(ngModel)]="confirmString"
      id="confirmInput" >
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-secondary"
          (click)="confirmModal.hide()">
    <i class="fa fa-ban" aria-hidden="true"></i> abbrechen
  </button>
  <button type="button" class="btn btn-danger"
          [disabled]="confirmString != name" (click)="confirm()">
    <i class="fa fa-trash" aria-hidden="true"></i> löschen
  </button>
</div>
